=== debian/changelog ===
libopenshot-audio (0.2.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2022 20:35:30 +0100

libopenshot-audio (0.2.2+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.2.2+dfsg1
  * SONAME bump: libopenshot-audio7 -> libopenshot-audio8
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/: Fix installation of openshot-audio-demo
  * debian/libopenshot-audio-dev.install: Install cmake files
  * debian/patches:
    - Refresh patches
    - Include SOVERSION in VERSION
    - Link with pthread
  * debian/rules:
    - No longer manually specify -Wl,--as-needed
    - Remove unnecessary override

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Mar 2022 22:56:03 +0100
