=== debian/tests/control ===
Tests: test-sound
Depends: libopenshot-audio-test-sound
