=== debian/changelog ===
libopenshot-audio (0.3.0+dfsg1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update copyright.
  * Update to debhelper-compat = 12.
  * Correct source compat to 3.0 (quilt).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Jan 2023 16:49:48 -0800

libopenshot-audio (0.3.0+dfsg2+148+202212111642~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 16:42:35 +0000

libopenshot-audio (0.3.0-2) UNRELEASED; urgency=medium

  * Fixing invalid dependency to libopenshot-audio8

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 10:38:22 -0600

libopenshot-audio (0.3.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 09:52:56 -0600

libopenshot-audio (0.2.1-1ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 25 Aug 2021 11:35:49 -0500

libopenshot-audio (0.2.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 03 Mar 2020 02:44:31 -0600
