## libopenshot-audio 0.3.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.0")
+set(PROJECT_VERSION_FULL "0.3.1")
 set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
