=== debian/changelog ===
libopenshot-audio (0.3.1+dfsg1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Apr 2023 16:19:34 -0700
