=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libasound2-dev,
               lsb-release,
               python3,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio1,
          libopenshot-audio2,
          libopenshot-audio6,
          libopenshot-audio7,
          libopenshot-audio8
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio9 (= ${binary:Version}), ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.
