=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz
