=== debian/changelog ===
libopenshot-audio (0.3.2+dfsg1-3) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * watch file standard 4 (routine-update)

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Oct 2025 23:05:56 +0200

libopenshot-audio (0.3.2+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062506

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:01:16 +0000

libopenshot-audio (0.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * No change source upload to allow testing migration

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 13 Oct 2023 12:49:49 +0200

libopenshot-audio (0.3.2+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Juri Grabowski ]
  * New upstream version 0.3.2+dfsg1

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright
  * Update gbp.conf for DEP-14
  * Bump SO version, create new binary package
  * Remove myself from uploaders
  * Update d/copyright for removed file
  * Build-Depends: Replace libfreetype6-dev with libfreetype-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Oct 2023 11:23:10 +0200
