=== debian/control ===
Source: libopenshot-audio
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 dpkg-dev (>= 1.22.5),
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libflac-dev,
 libfreetype-dev,
 libjpeg-dev,
 libpng-dev,
 libvorbis-dev,
 libxcursor-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 python3 <!nodoc>,
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/
Rules-Requires-Root: no

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libopenshot-audio9t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libopenshot-audio-doc <!nodoc>,
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio9t64
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 libopenshot-audio9 (<< ${source:Version}),
Provides:
 ${t64:Provides},
Replaces:
 libopenshot-audio9,
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: libopenshot-audio-test-sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: plays test sound using libopenshot-audio
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the test binary to test the sound using
 libopenshot-audio.
