=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_auto_build -- doc
endif

override_dh_auto_test-indep:

override_dh_auto_install-indep:

# NOTE: This override is required to ensure only non-empty directories are
# effectively installed.
override_dh_install-arch:
	find debian/tmp -type d -empty -delete
	dh_install --arch

override_dh_installdocs-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_installdocs --indep
	dh_doxygen --indep
endif
