=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz
