## libopenshot-audio 0.3.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.2")
+set(PROJECT_VERSION_FULL "0.3.3")
 set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
@@ -100,15 +100,6 @@
 ### Build configuration (options)
 option(ENABLE_AUDIO_DOCS "Attempt to build API docs for audio library" ON)
 option(AUTO_INSTALL_DOCS "Include documentation in the default install" ON)
-option(APPIMAGE_BUILD "Build to install in an AppImage (Linux only)" OFF)
-
-if (APPIMAGE_BUILD)
-  # Force older version of glibc and -pthread flag when building AppImage
-  # for better backwards compatibility (i.e older distros)
-  message("Wrapping libc for compatibility with version glibc_2.23")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
-endif()
 
 # Alternative location for JUCE modules (debian has their own)
 set(JUCE_MODULES_PATH "${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules" CACHE PATH
@@ -348,3 +339,26 @@
 )
 
 # Write version file for eported config
+write_basic_package_version_file(
+  OpenShotAudioConfigVersion.cmake
+  VERSION "${PROJECT_VERSION}"
+  COMPATIBILITY AnyNewerVersion
+)
+
+# Export the configuration at install time
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
+  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
+  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
+)
+
+# Include our FindASIO module, which will be needed on Windows
+install(FILES
+  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
+  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
+)
+
+###
+### DOCUMENTATION
+###
+
