=== debian/changelog ===
libopenshot-audio (0.3.3+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 00:17:29 -0700

libopenshot-audio (0.3.2+dfsg1-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 May 2024 18:36:10 -0700
