## libopenshot-audio 0.4.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,13 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.3")
-set(PROJECT_SO_VERSION 9)
+set(PROJECT_VERSION_FULL "0.4.0")
+set(PROJECT_SO_VERSION 10)
+
+#### Set C++ standard level
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
 string(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")
@@ -240,6 +245,7 @@
     "-framework AudioToolbox"
     "-framework QuartzCore"
     "-framework Accelerate"
+    "-framework Security"
     "-lobjc"
   )
   target_compile_options(openshot-audio PRIVATE
@@ -352,13 +358,3 @@
   DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-# Include our FindASIO module, which will be needed on Windows
-install(FILES
-  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-
-###
-### DOCUMENTATION
-###
-
