=== debian/changelog ===
libopenshot-audio (0.4.0+dfsg1-1~mx25) mx; urgency=medium

  * New upstream release
  * Bump to libopenshot-audio10

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Nov 2025 15:38:31 -0800

libopenshot-audio (0.3.3+dfsg1-1~mx23+2) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 00:17:29 -0700
