=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Rules-Requires-Root: no
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libasound2-dev,
                libflac-dev,
                libfreetype-dev,
@@ -27,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libopenshot-audio9 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenshot-audio10 (= ${binary:Version}), ${misc:Depends}
 Suggests: libopenshot-audio-doc <!nodoc>
 Description: development files for the OpenShot audio library
  The OpenShot audio library is a program which allows high-quality
@@ -35,7 +35,7 @@
  .
  This package provides the development files.
 
-Package: libopenshot-audio9
+Package: libopenshot-audio10
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
