## libopenshot-audio 0.5.0%2Bdfsg1

=== debian/changelog ===
libopenshot-audio (0.5.0+dfsg1-1build1) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Sat, 03 Jan 2026 23:14:42 +0000

libopenshot-audio (0.5.0+dfsg1-1) unstable; urgency=medium

  * [83525b9] test(debian): Make test-sound robust by checking output
  * [6d924ba] fix(test): Filter expected ALSA warnings in sound test
  * [c2ac5a8] New upstream version 0.5.0+dfsg1
  * [314403f] chore(debian): Update patches for upstream 0.5.0
  * [3d3e030] Cleanup copyright file
  * [0a46124] New upstream version 0.4.0+dfsg1
  * [989769f] Update packaging for SONAME 10 transition

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Dec 2025 18:04:23 +0100
