## libopenshot-audio 0.5.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.4.0")
+set(PROJECT_VERSION_FULL "0.5.0")
 set(PROJECT_SO_VERSION 10)
 
 #### Set C++ standard level
@@ -231,8 +231,10 @@
 
 if(APPLE)
   set_target_properties(openshot-audio PROPERTIES
-    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
-    MACOSX_RPATH OFF
+          INSTALL_NAME_DIR "@rpath"
+          BUILD_WITH_INSTALL_RPATH ON
+          INSTALL_RPATH_USE_LINK_PATH ON
+          INSTALL_RPATH "@loader_path/../lib;@executable_path/../lib"
   )
   target_link_libraries(openshot-audio PRIVATE
     "-framework Carbon"
@@ -354,7 +356,3 @@
 # Export the configuration at install time
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-
