=== debian/changelog ===
libopenshot-audio (0.5.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 19:46:37 +0100
